- Home
- API Enriched
- Sites
- config
- Interface List.
Interface List.
GET
/api/config/namespaces/{namespace}/sites/{site}/interface
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/sites/example/interface';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/sites/example/interface \ --header 'Authorization: <Authorization>'API to GET list of interface in a site.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Site namespace.
site
required
string
Site
x-required Site name.
Query Parameters
Section titled “Query Parameters”node
string
X-required Name of the node from which ping is initiated.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
InterfaceListResp
Interface List Response.
object
interface
Item
List of the interface connected to site.
Array<string>
Examplegenerated
{ "interface": [ "example" ]}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example